%define tarname Jinja2

# jinja requires itself ( as python-sphinx use it ) to build doc
%define enable_doc 1

Summary:	Python template engine
Name:		python-jinja2
Version:	2.8
Release:	1%dist
Source0:	https://pypi.python.org/packages/source/J/Jinja2/%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://jinja.pocoo.org/
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-markupsafe
BuildRequires:  python-test
%if %enable_doc
BuildRequires:	python-sphinx
%endif
Requires:	python-babel >= 0.8
Requires:	python-markupsafe

%description
Jinja2 is a library for Python 2.4 and onwards that is designed to be
flexible, fast and secure. If you have any exposure to other
text-based template languages, such as Smarty or Django, you should
feel right at home with Jinja2. It's both designer and developer
friendly by sticking to Python's principles and adding functionality
useful for templating environments.

%prep
%setup -q -n %{tarname}-%{version}
# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

# fix EOL
sed -i 's|\r$||g' LICENSE

%build
python setup.py build
%if %enable_doc
make -C docs html PYTHONPATH=$(pwd)
%endif

%install
python setup.py install --root=%buildroot

%__rm -rf docs/_build/html/.buildinfo

%check
#make test

%files
%doc AUTHORS CHANGES LICENSE 
%if %enable_doc
%doc docs/_build/html
%endif
%doc ext
%doc examples
%{python_sitelib}/*
